# $Revision: 1.32.2.3 $, $Date: 2003/04/10 20:26:15 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Params
%define	pnam	Validate
Summary:	Params::Validate - validate method/function parameters
Summary(pl):	Params::Validate - sprawdzanie poprawnoci parametrw funkcji/metody
Name:		perl-Params-Validate
Version:	0.58
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/D/DR/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%{!?_without_tests:BuildRequires:	perl-Attribute-Handlers}
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Params::ValidatePP)'

%description
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity.  At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in.

It is also capable of determining that a parameter is of a specific
type, that it is an object of a certain class hierarchy, that it
possesses certain methods, or applying validation callbacks to
arguments.

%description -l pl
Modu Params::Validate pozwala na sprawdzanie poprawnoci parametrw,
z jakimi wywoana zostaa funkcja lub metoda, na dowolnym poziomie
szczegowoci.  W najprostrzym przypadku moliwe jest sprawdzenie,
czy podane zostay parametry wymagane i czy nie podano dodatkowych,
nie rozpoznawanych.

Potrafi take okreli czy parametr jest konkretnego typu, czy jest
obiektem danej hierarchii, czy posiada zadane metody, lub przypisa
argumentom callbacki (a, i tak wszyscy wiedz, o co chodzi... ;-> )
sprawdzajce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL --xs
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_sitearch}/auto/Params/Validate
%{perl_sitearch}/auto/Params/Validate/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Params/Validate/*.so
%dir %{perl_sitearch}/Attribute/Params/*.pm
%dir %{perl_sitearch}/Params/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Params-Validate.spec,v $
Revision 1.32.2.3  2003/04/10 20:26:15  ankry
- updated to 0.58
- cosmetics

Revision 1.32.2.2  2003/03/13 00:58:28  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.32.2.1  2003/03/08 23:32:24  ankry
- autoupdated to 0.57

Revision 1.32  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.31  2003/02/22 23:06:44  ankry
- typo in _noautoreq definition

Revision 1.30  2003/02/22 22:15:21  ankry
- updated to 0.55

Revision 1.29  2003/02/21 23:44:57  ankry
- autoupdated to 0.54

Revision 1.28  2003/02/19 23:58:43  ankry
- autoupdated to 0.53

Revision 1.27  2003/02/18 23:50:56  ankry
- autoupdated to 0.52

Revision 1.26  2003/02/18 15:37:36  ankry
- massive attack: change CPAN URLs

Revision 1.25  2003/01/23 08:43:16  qboosh
- cannot be noarch any longer

Revision 1.24  2003/01/22 22:05:17  radek
- version 0.51 (changes: XS version, so much faster)
- provided informative summary/description
- added tests

Revision 1.23  2002/07/22 11:07:13  ankry
- pl translation fixes
- don't use macros in Name: it decreases readability
- Changes does not exist

Revision 1.22  2002/07/22 08:56:21  qboosh
- removed %%{perl_sitelib}/Attribute dir (belongs to perl-Attribute-Handlers)
- release 2

Revision 1.21  2002/07/21 23:15:07  radek
- version 0.24, STBR

Revision 1.20  2002/07/20 10:23:28  qboosh
- BR: perl-Attribute-Handlers, removed unused OPTIMIZE

Revision 1.19  2002/07/15 07:37:18  depesz
- new version (0.21)
- STBR

Revision 1.18  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.17  2002/07/11 08:02:42  depesz
- new version; should work; STBR

Revision 1.16  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 22:09:04  marcus
- rel.2.

Revision 1.14  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/12 01:40:24  kloczek
- updated %%files list.

Revision 1.12  2002/02/12 01:30:41  kloczek
- updated to 0.11.

Revision 1.11  2002/02/10 15:41:12  depesz
adapterized

Revision 1.10  2002/02/09 13:44:20  depesz
wrong path

Revision 1.9  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.8  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/27 12:26:08  qboosh
- use _noautoreq instead of ugly patch

Revision 1.6  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.5  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.4  2001/10/01 09:54:39  mis
- autoupdated to 0.07

Revision 1.3  2001/09/10 13:04:16  mis
- autoupdated to 0.06

Revision 1.2  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/04/18 02:11:32  baggins
- initial revision
